<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		christian.rodriguez
@version		2.0
@description	muestra los inmuebles asociados a un proyecto nuevo 
                página principal
@cu 			CU-AV-O-02
-->

<h:panelGrid id="inmueblesProyectoNuevo"
             xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" width="100%">

    <p:spacer height="10" />
    <p:dataTable var="oferta"
                 value="#{ofertaInmobiliariaParam.ofertaInmobiliarias}"
                 emptyMessage="No se han agregado predios a la oferta.">

        <p:column headerText="Código">
            <h:outputText id="codigoOferta" 
                          value="#{oferta.codigoOferta}" />
        </p:column>

        <p:column headerText="Tipo de inmueble">
            <h:outputText id="tipoInmueble" 
                          value="#{oferta.tipoInmueble}" />
        </p:column>

        <p:column headerText="Valor pedido">
            <h:outputText id="valorPedido" 
                          value="#{oferta.valorPedido}">
                <f:converter converterId="converterMoneda" for="valorPedido" />
            </h:outputText>
        </p:column>

        <p:column headerText="Valor depurado">
            <h:outputText id="valorDepurado" 
                          value="#{oferta.valorDepurado}">
                <f:converter converterId="converterMoneda" for="valorDepurado" />
            </h:outputText>
        </p:column>

        <p:column headerText="Área terreno (m2)">
            <h:outputText id="areaTerreno" 
                          value="#{oferta.areaTerreno}" />
        </p:column>

        <p:column headerText="Área construcción (m2)">
            <h:outputText id="areaConstruccion" 
                          value="#{oferta.areaConstruccion}" />
        </p:column>

    </p:dataTable>
    <p:spacer height="10" />
</h:panelGrid>


